[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'LResources' (#lcl)

# TLResource

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Describes a Lazarus resource stored in TLResourceList.

## Declaration

Source position: lresources.pp line 54

`type TLResource = class`
`public`
`Name: AnsiString;` |  | Name for the Lazarus resource.
`ValueType: AnsiString;` |  | The resource type, always uppercase.
`Value: AnsiString;` |  | The value for the resource.
`end;`

## Inheritance

`TLResource` |  | Describes a Lazarus resource stored in TLResourceList.
`TObject`